pandoc-3.10: Conversion between markup formats

Copyright | Copyright (C) 2008-2024 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Writers.MediaWiki

Description

Conversion of `Pandoc` documents to MediaWiki markup.

MediaWiki: http://www.mediawiki.org/wiki/MediaWiki

Synopsis

- writeMediaWiki :: PandocMonad m => WriterOptions -> Pandoc -> m Text
- highlightingLangs :: Set Text

# Documentation

writeMediaWiki :: PandocMonad m => WriterOptions -> Pandoc -> m Text Source #

Convert Pandoc to MediaWiki.

highlightingLangs :: Set Text Source #